Bug 68483 - DefaultPath and RootPath in gdm.conf are nonsense
DefaultPath and RootPath in gdm.conf are nonsense
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-10 12:15 EDT by Patrick J. LoPresti
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 13:16:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick J. LoPresti 2002-07-10 12:15:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "grep Path /etc/X11/gdm/gdm.conf"
2. Read output carefully.
3. Think.
	

Actual Results:  
There are three problems with these paths.

First, /usr/bin appears twice in each of them.  This is just silly.

Second, /usr/bin/X11 is not an FHS-compliant path.  It happens to work thanks to
a blecherous backwards-compatibility symlink, but I suggest that /usr/X11R6/bin
would be cleaner.

Third, and the thing which made me notice this, is that /usr/bin appears BEFORE
/usr/local/bin.  This is bad; normal Unix admin practice is to put stuff in
/usr/local to override the versions supplied by the vendor.  Every other default
PATH setting I have ever seen puts /usr/local/bin first, which makes sense.  I
suggest moving it earlier, for consistency with what everything else (e.g.,
/etc/profile) tries to achieve.


Expected Results:  See above.


Additional info:

One workaround is to create /etc/environment with the PATH of your choice.  That
is what I did here...

(By the way, thanks for a generally excellent product.)
Comment 1 Elliot Lee 2002-08-26 13:43:13 EDT
stripped them down to reflect the minimal paths that /bin/login sets. The rest gets done via 
profile.

Note You need to log in before you can comment on or make changes to this bug.